curl --request PATCH \
--url https://api.chatsailer.com/v1/deals/{deal_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contact_id": "con_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4",
"custom_fields": {},
"expected_close_date": "2023-11-07T05:31:56Z",
"organization_id": "org_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4",
"owner_id": "usr_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4",
"probability": 50,
"stage_id": "stg_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4",
"title": "<string>",
"value": 123
}
'import requests
url = "https://api.chatsailer.com/v1/deals/{deal_id}"
payload = {
"contact_id": "con_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4",
"custom_fields": {},
"expected_close_date": "2023-11-07T05:31:56Z",
"organization_id": "org_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4",
"owner_id": "usr_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4",
"probability": 50,
"stage_id": "stg_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4",
"title": "<string>",
"value": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contact_id: 'con_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4',
custom_fields: {},
expected_close_date: '2023-11-07T05:31:56Z',
organization_id: 'org_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4',
owner_id: 'usr_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4',
probability: 50,
stage_id: 'stg_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4',
title: '<string>',
value: 123
})
};
fetch('https://api.chatsailer.com/v1/deals/{deal_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2023-11-07T05:31:56Z",
"id": "deal_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4",
"pipeline_id": "pipe_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4",
"stage_id": "stg_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"visibility": "private",
"contact_id": "con_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4",
"custom_fields": {},
"expected_close_date": "2023-11-07T05:31:56Z",
"lost_justification": "<string>",
"lost_reason": "<string>",
"object": "deal",
"organization": {
"created_at": "2023-11-07T05:31:56Z",
"id": "org_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4",
"name": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"visibility": "private",
"custom_fields": {},
"object": "organization",
"owner": {
"id": "<string>",
"kind": "user",
"name": "<string>",
"object": "owner"
},
"owner_id": "usr_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4",
"tags": [
{
"id": "tag_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4",
"name": "<string>",
"color": "<string>",
"object": "tag"
}
],
"website": "<string>"
},
"organization_id": "org_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4",
"owner": {
"id": "<string>",
"kind": "user",
"name": "<string>",
"object": "owner"
},
"owner_id": "usr_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4",
"probability": 123,
"score": "cold",
"stage_changed_at": "2023-11-07T05:31:56Z",
"status": "open",
"tags": [
{
"id": "tag_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4",
"name": "<string>",
"color": "<string>",
"object": "tag"
}
],
"value": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Update a deal
Only the fields you send change. Send null to clear one; omit it to leave it alone. custom_fields merges the same way.
To move a deal between stages prefer POST /v1/deals/{deal_id}/stage, which resolves the stage inside this deal’s own pipeline and so cannot land it in another one.
Authorizations
A workspace API token. Create one in Settings → API. Send it as Authorization: Bearer sk_live_....
Path Parameters
Unique identifier for a deal.
^deal_[0-9a-f]{32}$"deal_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4"
Query Parameters
Comma-separated relationships to inline in the response. Unexpanded relations are still identified by their *_id field.
"organization,owner"
Body
Body for PATCH /v1/deals/{deal_id}.
Only the fields you send change. Send null to clear one; omit it to leave
it alone. To move a deal between stages prefer POST /v1/deals/{id}/stage,
which resolves a stage within the deal's own pipeline and cannot land it in
another one.
Unique identifier for a contact.
^con_[0-9a-f]{32}$"con_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4"
Unique identifier for an organization.
^org_[0-9a-f]{32}$"org_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4"
Unique identifier for an user.
^usr_[0-9a-f]{32}$"usr_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4"
0 <= x <= 100Temperature/score of an opportunity.
cold, warm, hot Unique identifier for a stage.
^stg_[0-9a-f]{32}$"stg_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4"
Status of an opportunity in the sales pipeline.
open, won, lost CRM record visibility levels; resolved live against the owner's current teams.
private, team, team_and_subteams, company Response
Successful Response
A negotiation in a pipeline, with a contact and/or an organization.
Unique identifier for a deal.
^deal_[0-9a-f]{32}$"deal_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4"
Unique identifier for a pipeline.
^pipe_[0-9a-f]{32}$"pipe_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4"
Unique identifier for a stage.
^stg_[0-9a-f]{32}$"stg_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4"
Governs who sees this record in the Sailer UI. API tokens are workspace-scoped and are not filtered by it.
private, team, team_and_subteams, company Unique identifier for a contact.
^con_[0-9a-f]{32}$"con_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4"
Every custom field defined on deals in this workspace, keyed by field key and typed from its definition. Unset fields are null.
Name of the reason, when status is lost.
"deal"Populated only when organization is in expand.
Show child attributes
Show child attributes
Unique identifier for an organization.
^org_[0-9a-f]{32}$"org_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4"
Whoever is responsible for this deal — a teammate or an AI agent. Always populated when the deal has an owner.
Show child attributes
Show child attributes
Unique identifier for an user.
^usr_[0-9a-f]{32}$"usr_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4"
Close probability override, 0-100. null means the deal inherits its current stage's default — read the stage to see it.
Temperature/score of an opportunity.
cold, warm, hot When the deal last moved between stages.
Status of an opportunity in the sales pipeline.
open, won, lost Show child attributes
Show child attributes
Monetary value. The workspace sets the currency.
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$